com.sun.jna.platform.unix.solaris

## Class LibKstat.KstatIO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.solaris.LibKstat.KstatIO

Enclosing interface:
  LibKstat

    @Structure.FieldOrder(value={"nread","nwritten","reads","writes","wtime","wlentime","wlastupdate","rtime","rlentime","rlastupdate","wcnt","rcnt"})
    public static class LibKstat.KstatIO
    extends Structure

IO Statistics.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `nread`
`long` `nwritten`
`int` `rcnt`
`int` `reads`
`long` `rlastupdate`
`long` `rlentime`
`long` `rtime`
`int` `wcnt`
`long` `wlastupdate`
`long` `wlentime`
`int` `writes`
`long` `wtime`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`KstatIO()`
`KstatIO(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### nread

    public long nread

#### nwritten

    public long nwritten

#### reads

    public int reads

#### writes

    public int writes

#### wtime

    public long wtime

#### wlentime

    public long wlentime

#### wlastupdate

    public long wlastupdate

#### rtime

    public long rtime

#### rlentime

    public long rlentime

#### rlastupdate

    public long rlastupdate

#### wcnt

    public int wcnt

#### rcnt

    public int rcnt

### Constructor Detail

#### KstatIO

    public KstatIO()

#### KstatIO

    public KstatIO(Pointer p)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.